Is Travel Rule Enabled

Before initiating any travel rule transaction or actual transaction, it is important to verify whether the Travel Rule is enabled.

cURL Request

curl --location --request POST 'https://alpha-apisdk.lmnl.dev/api/travel-rule/is-enabled' \
--header 'Authorization: Basic e3tjbGllbnRfaWR9fTp7e2NsaWVudF9zZWNyZXR9fQ=='

Response Body

{
    "success": true,
    "data": {
        "id": 6,
        "appId": 12,
        "outgoingTxn": 1,
        "outgoingTxnTimeout": null,
        "incomingTxn": 1,
        "mandatory": true,
        "blockTxn": false,
        "dataJson": {
            "name": "Testing",
            "type": "natural",
            "address": {
                "city": "New Delhi",
                "country": "IN",
                "address1": "Subroto Park",
                "address2": "Subroto"
            },
            "identification": {
                "type": "ARNU",
                "number": "12324",
                "country": "IN",
                "authority": "New"
            }
        },
        "status": 1,
        "updatedBy": 1564,
        "orgId": 943,
        "createdAt": "2023-06-05T10:17:56.000Z",
        "updatedAt": "2023-06-05T10:21:44.000Z"
    }
}

If the outgoingTxn property is set to 1 and the mandatory property is set to true, the travel rule should be considered applied; otherwise, it will not be applied.

Body Params
json
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json